Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.futureagi.com/model-hub/eval-groups/{id}/ \ --header 'X-Api-Key: <api-key>' \ --header 'X-Secret-Key: <api-key>'
import requests url = "https://api.futureagi.com/model-hub/eval-groups/{id}/" headers = { "X-Api-Key": "<api-key>", "X-Secret-Key": "<api-key>" } response = requests.get(url, headers=headers) print(response.text)
const options = { method: 'GET', headers: {'X-Api-Key': '<api-key>', 'X-Secret-Key': '<api-key>'} }; fetch('https://api.futureagi.com/model-hub/eval-groups/{id}/', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "eval_group": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "description": "<string>", "is_sample": true, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "members": [ { "eval_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "description": "<string>", "added_on": "2023-11-07T05:31:56Z", "added_by": "<string>", "tags": [ "<string>" ], "required_keys": [ "<string>" ], "optional_keys": [ "<string>" ], "models": [ "<string>" ] } ], "required_keys": [ "<string>" ], "models": [ "<string>" ] }
{ "error": "<string>" }
Retrieves detailed information about a specific evaluation group, including its members.
API Key for authentication. Click here to access API Key
Secret Key for authentication. Click here to access Secret Key
The UUID of the evaluation group to retrieve.
Filter members within the group by name.
Successfully retrieved the evaluation group details.
Show child attributes
A list of models that are common across all evaluation templates in the group.
Was this page helpful?